dir2slideshow(1)

NAME

dir2slideshow - Creates an input file for dvd-slideshow from pictures in a directory.

SYNOPSIS

dir2slideshow [-o <output directory>] [-t <Seconds per picture>] [-c <Crossfade seconds>] -n <Slideshow name> [-T] [-M] [-s subtitle_text] [-notitle] <Images directory>

DESCRIPTION

Creates a input file for dvd-slideshow from all the JPEG images in a given directory. Now it reads all .jpg .JPG .jpeg .png and .PNG files in the specified directory.

OPTIONS

[-o <Output directory>]
    Directory where the output file will be written. If not specified, the current directory is used.

[-t <Seconds per picture>]
    Number of seconds to display each picture in the movie. Defaults to 5 seconds if not specified.

[-c <Crossfade seconds>]
    Number of seconds to crossfade between images. One second is usually fine. Note that this will increase the processing time considerably, but it looks nice.

[-w <Wipe seconds>]
    Number of seconds to wipe between images. One second is usually fine. Pick either crossfade or wipe, but not both.

-n <Slideshow name>
    The name of this slideshow. This name is used as the default title text for the first title slide in the slideshow. This name will be used (converting spaces to underscores) for the output file name.

[-T]
    Sort images by the JPEG header picture taken time, then by the file modification date, and finally by the filename. Default sort is by name only. Requires the jhead program.

[-M]
    Sort images by the file modification date, and then by the filename. Default sort if by name only.

[-s subtitle_text]
    Add default subtitle "subtitle_text" to every slide. Use "-s filename" to display filename as the subtitle. Use "-s path" to display the path and filename as the subtitle.

[-s subtitle_text]
    Add default subtitle "subtitle_text" to every slide. Use "-s filename" to display filename as the subtitle. Use "-s path" to display the path and filename as the subtitle.

[-s2 subtitle_text]
    Same as -s but adds subtitles to subtitle track 2.

[-notitle]
    Do not create a title slide.

[-b background.jpg]
    Use background.jpg as the background images. Default is black.

[-r]
    Recursively search directories for images, creating one output file.

[-k]
    Apply random kenburns effects to images.

[-p]
    Use PAL output video format instead of NTSC

[-theme themename]
    Use themename as a theme file. See theme help files for more info. (TBD)

[-a audiofile1,audiofile2,...]
    Add audio files to the slideshow. Files will be played sequentially for the duration of the slideshow. Use quotes if you have spaces in filenames.

<Images directory>
    The path to the directory containing the images you want to use.

EXAMPLES

http://dvd-slideshow.sourceforge.net

AUTHORS

Scott Dylewski <scott at dylewski dot com>
http://dvd-slideshow.sourceforge.net/

SEE ALSO

dvd-menu(1), dvd-slideshow(1)